<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="body">
			<p:panel header="#{reportModel.showReportBean.name}" toggleable="true">
				<p:panelGrid columns="2" layout="grid">
					<h:outputText value="#{facesContext.translate('label.report.id')}" />
					<h:outputText value="#{reportModel.showReportBean.pk}" />
					<h:outputText value="#{facesContext.translate('label.report.name')}" />
					<h:outputText value="#{reportModel.showReportBean.name}" />
					<h:outputText value="#{facesContext.translate('label.report.description')}" />
					<h:outputText value="#{reportModel.showReportBean.description}" />
					<h:outputText value="#{facesContext.translate('label.report.analysistemplate')}" />
					<h:outputText value="#{reportModel.showReportBean.functionlistName}" />
					<h:outputText value="#{facesContext.translate('label.analysis.matrix.variablegroup')}" />
					<h:outputText value="#{reportModel.showReportBean.variablegroupName}" />
					<h:outputText value="#{facesContext.translate('label.report.generate.started')}" />
					<h:outputText value="#{reportModel.showReportBean.started}">
						<f:convertDateTime pattern="dd.MM.yyyy HH:mm:ss" />
					</h:outputText>
					<h:outputText value="#{facesContext.translate('label.report.generate.stopped')}" />
					<h:outputText value="#{reportModel.showReportBean.stopped}">
						<f:convertDateTime pattern="dd.MM.yyyy HH:mm:ss" />
					</h:outputText>
					<h:outputText value="#{facesContext.translate('label.report.generate.releases')}" />
					<h:dataTable value="#{reportModel.showReportBean.releases}" var="rel"
						rendered="#{reportModel.showReportBean.releases != null}">
						<h:column>
							<h:outputText value="#{rel.name}" />
						</h:column>
					</h:dataTable>
					<h:outputText value="#{facesContext.translate('label.report.intervals')}" />
					<h:dataTable value="#{reportModel.showReportBean.intervals}" var="i"
						rendered="#{reportModel.showReportBean.intervals != null}">
						<h:column>
							<h:outputText value="#{i.string}" />
						</h:column>
					</h:dataTable>
					<h:outputText value="#{facesContext.translate('label.report.monitor.runtimestats')}"
						rendered="#{reportModel.showReportBean.stats != null}" />
					<p:panelGrid columns="4" rendered="#{reportModel.showReportBean.stats != null}">
						<h:outputText value="ID" />
						<h:outputText value="progress" />
						<h:outputText value="message" />
						<h:outputText value="cancelled" />
						<h:outputText value="#{reportModel.showReportBean.stats.reportIdString}" />
						<h:outputText value="#{reportModel.showReportBean.stats.progressString}" />
						<h:outputText value="#{reportModel.showReportBean.stats.message}" />
						<h:outputText value="#{reportModel.showReportBean.stats.cancelled}" />
					</p:panelGrid>
					<!-- TODO: replace by SquareControl2.call_results_exist() -->
					<h:outputText value="Results" rendered="#{reportModel.showReportBean.stopped != null}" />
					<p:link href="#{reportModel.getSquarevUrl(facesContext)}/SQuaReV/report/#{reportModel.showReportBean.pk}" target="#" onclick="ship.processingCloseable()"
						value="#{reportModel.showReportBean.name}" rendered="#{reportModel.showReportBean.stopped != null}" />
				</p:panelGrid>
				<h:panelGroup rendered="#{reportModel.showReportBean.stopped != null}">
					<!-- TODO: replace by SquareControl2.call_results_exist() -->
					<h:outputText value="#{facesContext.translate('label.report.download.formats')}" />
					<p:selectBooleanCheckbox id="debug" value="#{reportModel.mdb.debug}"
						itemLabel="#{facesContext.translate('checkbox.debug')}" />
					<p:selectOneMenu id="format" value="#{reportModel.mdb.formatJson}" filter="true">
						<f:selectItems value="#{reportModel.formats}" var="f" itemValue="#{f.toJson()}" itemLabel="#{f.label}" />
					</p:selectOneMenu>
					<p:commandButton id="btn_markdown" action="#{reportController.doGenerateMarkdownResult}" icon="fa fa-play"
						value="#{facesContext.translate('button.generate')}" onclick="PF('modalrenderinfo').show()" ajax="false" />
					<p:commandButton id="btn_logfile" action="#{reportController.doLogFileDownload}" icon="fa fa-file-o"
						value="#{facesContext.translate('button.download.log.r')}" title="#{facesContext.translate('button.download.log')}"
						disabled="#{!profile.hasPrivilege('admin')}" ajax="false" />
					<p:commandButton id="btn_refresh" action="#{reportController.toShow(reportModel.showReportBean)}" icon="fa fa-refresh"
						value="#{facesContext.translate('button.reload')}" ajax="false" onclick="ship.processing()" oncomplete="ship.processed()" />
				</h:panelGroup>
			</p:panel>
			<p:dialog widgetVar="modalrenderinfo" id="modalrenderinfo" header="#{facesContext.translate('label.started.rendering')}">
				<p>
					<h:outputText value="#{facesContext.translate('text.started.rendering')}" />
				</p>
				<f:facet name="footer">
					<p:commandButton value="#{facesContext.translate('button.ok')}" onclick="PF('modalrenderinfo').hide();" type="button" />
				</f:facet>
			</p:dialog>
			<p:panel header="#{facesContext.translate('label.report.monitor.runtimestats')}" toggleable="true" collapsed="true"
				rendered="#{profile.hasPrivilege('statisticadmin')}">
				<p:dataTable id="performance" value="#{reportModel.performance}" var="p">
					<p:column headerText="#{facesContext.translate('label.calculation.perf.functionname')}">
						<h:outputText value="#{p.functionname}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.perf.varmagnitude')}">
						<h:outputText value="#{p.varmagnitude}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.perf.userself')}">
						<h:outputText value="#{p.userself}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.perf.sysself')}">
						<h:outputText value="#{p.sysself}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.perf.elapsed')}">
						<h:outputText value="#{p.elapsed}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.perf.userchild')}">
						<h:outputText value="#{p.userchild}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.perf.syschild')}">
						<h:outputText value="#{p.syschild}" />
					</p:column>
				</p:dataTable>
			</p:panel>
			<p:panel header="#{facesContext.translate('label.calculation.result.download')}" toggleable="true" collapsed="true"
				rendered="#{profile.hasPrivilege('statisticadmin')}">
				<p:dataTable id="results" value="#{reportModel.calculationResults}" var="crf">
					<p:column headerText="#{facesContext.translate('label.calculation.result.download')}">
						<p:commandLink id="btn_downloadfile" action="#{reportController.doDownloadFile(crf)}" value="#{crf.name}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.calculation.result.size')}">
						<h:outputText value="#{crf.size}" />
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_abort" action="#{reportController.toWelcome}" value="#{facesContext.translate('button.overview')}"
				immediate="true" ajax="false" />
			<p:commandButton id="btn_edit" action="#{reportController.toEdit(reportModel.showReportBean)}"
				value="#{facesContext.translate('button.edit.definition')}" immediate="true" ajax="false"
				rendered="#{profile.hasPrivilege('reportwriter')}" />
			<p:commandButton id="btn_configure" action="#{reportController.toConfigure(reportModel.showReportBean)}"
				value="#{facesContext.translate('button.edit.report.configure')}" immediate="true" ajax="false"
				rendered="#{profile.hasPrivilege('reportwriter')}" />
			<p:commandButton id="btn_show" action="#{reportController.toCalculate(reportModel.showReportBean)}"
				value="#{facesContext.translate('button.calculate')}" immediate="true" ajax="false"
				rendered="#{profile.hasPrivilege('reportbuilder')}" />
			<p:commandButton id="btn_properties" action="#{reportController.toProperties(reportModel.showReportBean)}"
				value="#{facesContext.translate('button.edit.report.properties')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>